complexType "PositionActivityReport"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 16 elements
Defined: | globally in fpml-reporting-5-3.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, onBehalfOf[0..4]?, asOfDate?, dataSetName?, reportContents?, quotationCharacteristics?, fromDateTime?, toDateTime?, submissionsComplete?, positionUpdate*, party*, account*
</...>

Content Model Elements (16):

  account, asOfDate (in positionActivityReport), correlationId, dataSetName (in positionActivityReport), fromDateTime (in positionActivityReport), header (defined in NotificationMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, | party (defined in PartiesAndAccounts.model group), positionUpdate, quotationCharacteristics (in positionActivityReport), reportContents (in positionActivityReport), sequenceNumber (defined in Sequence.model group), submissionsComplete (in positionActivityReport), toDateTime (in positionActivityReport), validation

All Direct / Indirect Based Elements (1):

  positionActivityReport

Known Usage Locations

- As direct type of elements (1):
  positionActivityReport

Annotation
A type defining the content model for a message allowing one party to send a report consisting of a series of updates to positions.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) PositionActivityReport

XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="PositionActivityReport"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="dataSetName" type="xsd:string"/> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/> <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"/> <xsd:element minOccurs="0" name="fromDateTime" type="xsd:date"/> <xsd:element minOccurs="0" name="toDateTime" type="xsd:date"/> <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="positionUpdate" type="PositionUpdate"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 8/16)
asOfDate

  Type: | IdentifiedDate, simple content

  The date for which this document reports positions and valuations.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/>

dataSetName

  Type: | xsd:string, predefined, simple content

  The name of the data set (portfolio, product type, etc.) that this report corresponds to. Used to help document the contents of the report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dataSetName" type="xsd:string"/>

fromDateTime

  Type: | xsd:date, predefined, simple content

  The starting point for reporting activity in this report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fromDateTime" type="xsd:date"/>

positionUpdate

  Type: | PositionUpdate, complex content

  The positions included in the position report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="positionUpdate" type="PositionUpdate"/>

quotationCharacteristics

  Type: | QuotationCharacteristics, complex content

  The default quotation characteristics for this document (e.g. currency, location). Currency must be specified; other fields may be specified.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"/>

reportContents

  Type: | ReportContents, complex content

  The specific characteristics included in the report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/>

submissionsComplete

  Type: | xsd:boolean, predefined, simple content

  Indicates whether all portfolio updates have been submitted for this as-of date
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"/>

toDateTime

  Type: | xsd:date, predefined, simple content

  The ending point for reporting activity in this report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="toDateTime" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.